/*
 * (C) Copyright 2005 Tundra Semiconductor Corp.
 * Alex Bounine, <alexandreb@tundra.com).
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 */

/*
 * tsi108_i2c.h - board-specific definitions for I2C interface.
 */

#ifndef _TSI108_I2C_H
#define _TSI108_I2C_H

#include "ts_i2c.h"

/* register block offset for general use I2C channel */
#define TSI108_I2C_OFFSET	0x7000 
 /* register block offset for SPD I2C channel */
#define TSI108_I2C_SDRAM_OFFSET 0x4400

#define I2C_EEPROM_DEVCODE 0xA  /* standard I2C EEPROM device code */

/* I2C status codes */
#define TSI108_I2C_SUCCESS      0
#define TSI108_I2C_PARAM_ERR    1
#define TSI108_I2C_TIMEOUT_ERR  2
#define TSI108_I2C_IF_BUSY      3
#define TSI108_I2C_IF_ERROR     4

#endif // _TSI108_I2C_H
